Package picard.sam.markduplicates.util

# Class ReadEndsForMarkDuplicatesCodec

java.lang.Object
picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesCodec

All Implemented Interfaces:
  `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`, `Cloneable`

Direct Known Subclasses:
  `ReadEndsForMarkDuplicatesWithBarcodesCodec`

public class ReadEndsForMarkDuplicatesCodec extends Object implements htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>
Codec for ReadEnds that just outputs the primitive fields and reads them back.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DataInputStream`
`in`
`protected DataOutputStream`
`out`

## Constructor Summary

Constructors
Constructor
Description
`ReadEndsForMarkDuplicatesCodec()`

## Method Summary

Modifier and Type
Method
Description
`htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
`clone()`
`ReadEndsForMarkDuplicates`
`decode()`
`void`
`encode(ReadEndsForMarkDuplicates read)`
`DataInputStream`
`getInputStream()`
`DataOutputStream`
`getOutputStream()`
`void`
`setInputStream(InputStream is)`
`void`
`setOutputStream(OutputStream os)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### in

protected DataInputStream in

### out

protected DataOutputStream out

## Constructor Details

### ReadEndsForMarkDuplicatesCodec

public ReadEndsForMarkDuplicatesCodec()

## Method Details

### clone

public htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates> clone()

Specified by:
  `clone` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`
Overrides:
  `clone` in class `Object`

### setOutputStream

public void setOutputStream(OutputStream os)

Specified by:
  `setOutputStream` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`

### setInputStream

public void setInputStream(InputStream is)

Specified by:
  `setInputStream` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`

### getInputStream

public DataInputStream getInputStream()

### getOutputStream

public DataOutputStream getOutputStream()

### encode

public void encode(ReadEndsForMarkDuplicates read)

Specified by:
  `encode` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`

### decode

public ReadEndsForMarkDuplicates decode()

Specified by:
  `decode` in interface `htsjdk.samtools.util.SortingCollection.Codec<ReadEndsForMarkDuplicates>`